summaryrefslogtreecommitdiffstats
path: root/ci/openstack.sh
diff options
context:
space:
mode:
authorNarinder Gupta <narinder.gupta@canonical.com>2016-08-19 23:59:33 -0500
committerNarinder Gupta <narinder.gupta@canonical.com>2016-08-20 00:00:06 -0500
commitf89c3659d1084b9bc118c240edfa84c521818579 (patch)
tree6487b27c48cb52c0ec9a0209782a13c70aefab27 /ci/openstack.sh
parent70a1875624b0c25b1a8833fb4094ef98c75631f3 (diff)
ifailed in testing moving the haproxy to openstack.sh
Change-Id: I5dd5d65934e6fdf4c3935739b85399fa8610f62a Signed-off-by: Narinder Gupta <narinder.gupta@canonical.com>
Diffstat (limited to 'ci/openstack.sh')
-rwxr-xr-xci/openstack.sh20
1 files changed, 18 insertions, 2 deletions
diff --git a/ci/openstack.sh b/ci/openstack.sh
index 751b10a1..08f1548e 100755
--- a/ci/openstack.sh
+++ b/ci/openstack.sh
@@ -7,6 +7,9 @@
# http://www.apache.org/licenses/LICENSE-2.0
##############################################################################
+opnfvlab=$2
+opnfvsdn=$1
+
if [ -f ./deployconfig.yaml ];then
EXTERNAL_NETWORK=`grep floating-ip-range deployconfig.yaml | cut -d ' ' -f 4 `
@@ -122,6 +125,19 @@ create_openrc
. ./cloud/admin-openrc
+echo "...... deploy public api proxy ......"
+
+if [ "$opnfvlab" == "orangepod1" ] && [ "$opnfvsdn" == "nosdn" ]; then # only for first test phase
+ PUB_API_NET=$(grep floating-ip-range ./labconfig.yaml |cut -d/ -f2)
+ PUB_API_IP=$(grep public-api-ip ./labconfig.yaml |cut -d: -f2)
+ juju run --unit nodes/0 "sudo ip a a ${PUB_API_IP}/${PUB_API_NET} dev br-ex" || true
+ juju run --unit nodes/0 "sudo ip l set dev br-ex up" || true
+ python genPublicAPIProxyBundle.py -l labconfig.yaml >> bundles.yaml
+ juju-deployer -vW -d -t 7200 -r 5 -c bundles.yaml $opnfvdistro-"$openstack" || true
+fi
+
+echo "...... deploy end public api proxy ......"
+
##
## removing the swift API endpoint which is created by radosgw.
## one option is not to used radosgw and other one is remove endpoint.
@@ -137,7 +153,7 @@ create_openrc
## Create external subnet Network
##
-if [ "onos" == "$1" ]; then
+if [ "onos" == "$opnfvsdn" ]; then
launch_eth
neutron net-show ext-net > /dev/null 2>&1 || neutron net-create ext-net --router:external=True
neutron subnet-show ext-subnet > /dev/null 2>&1 || neutron subnet-create ext-net \
@@ -145,7 +161,7 @@ if [ "onos" == "$1" ]; then
--disable-dhcp --gateway $EXTNET_GW $EXTNET_NET
#neutron subnet-create ext-net --name ext-subnet $EXTNET_NET
#update_gw_mac
-elif [ "nosdn" == "$1" ]; then
+elif [ "nosdn" == "$opnfvsdn" ]; then
neutron net-show ext-net > /dev/null 2>&1 || neutron net-create ext-net \
--router:external=True \
--provider:network_type flat \